----销售单据字段历史数据升级，用量:分子、用量：分母历史数据升级为1
----销售订单
UPDATE T_SM_SALORDERENTRY_R set FKITQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FKITQTY = 0;
UPDATE T_SM_SALORDERENTRY_R set FPARENTQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FPARENTQTY = 0;

----销售订单变更单
UPDATE T_SM_XSALORDERENTRY_R set FKITQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FKITQTY = 0;
UPDATE T_SM_XSALORDERENTRY_R set FPARENTQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FPARENTQTY = 0;

----发货通知单
UPDATE T_SM_DELIVERNOTICEENTRY_R set FKITQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FKITQTY = 0;
UPDATE T_SM_DELIVERNOTICEENTRY_R set FPARENTQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FPARENTQTY = 0;

----退货申请单
UPDATE T_SM_RETURNAPPLYENTRY_R set FKITQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FKITQTY = 0;
UPDATE T_SM_RETURNAPPLYENTRY_R set FPARENTQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FPARENTQTY = 0;

----销售报价单
UPDATE T_SM_QUOTATIONENTRY set FKITQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FKITQTY = 0;
UPDATE T_SM_QUOTATIONENTRY set FPARENTQTY=1 where FPRODUCTTYPE in('kitparent','kitchild') AND FPARENTQTY = 0;